Skip to navigation

Disassociate a Shared Custom Field from an object type

View as Markdown

Remove the association between a shared custom field and an object type. The field will immediately disappear from API responses for that object type and all stored values will be permanently deleted.

The object_type in the URL can be lead, contact, opportunity, custom_activity_type/<catype_id>, or custom_object_type/<cotype_id>.

If the field was required on the associated type, removing the association also removes that requirement.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

scf_idstringRequired
object_typestringRequired

Response

No content

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error